=== src/sig/snova/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_SNOVA_OBJS "")

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4)
    add_library(snova_SNOVA_24_5_4_opt OBJECT sig_snova_SNOVA_24_5_4.c snova_SNOVA_24_5_4_opt/oqs_snova.c snova_SNOVA_24_5_4_opt/snova.c snova_SNOVA_24_5_4_opt/snova_aes.c snova_SNOVA_24_5_4_opt/snova_common.c snova_SNOVA_24_5_4_opt/snova_shake.c)
    target_compile_options(snova_SNOVA_24_5_4_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    target_include_directories(snova_SNOVA_24_5_4_opt PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_opt)
    target_include_directories(snova_SNOVA_24_5_4_opt PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_opt>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_avx2)
    add_library(snova_SNOVA_24_5_4_avx2 OBJECT snova_SNOVA_24_5_4_avx2/oqs_snova.c snova_SNOVA_24_5_4_avx2/snova.c snova_SNOVA_24_5_4_avx2/snova_aes.c snova_SNOVA_24_5_4_avx2/snova_common.c snova_SNOVA_24_5_4_avx2/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_avx2)
    target_include_directories(snova_SNOVA_24_5_4_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_avx2 PRIVATE -mavx2)
    target_compile_options(snova_SNOVA_24_5_4_avx2 PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_avx2>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_neon)
    add_library(snova_SNOVA_24_5_4_neon OBJECT snova_SNOVA_24_5_4_neon/oqs_snova.c snova_SNOVA_24_5_4_neon/snova.c snova_SNOVA_24_5_4_neon/snova_aes.c snova_SNOVA_24_5_4_neon/snova_common.c snova_SNOVA_24_5_4_neon/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_neon)
    target_include_directories(snova_SNOVA_24_5_4_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_neon PRIVATE)
    target_compile_options(snova_SNOVA_24_5_4_neon PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_neon>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_SHAKE)
    add_library(snova_SNOVA_24_5_4_SHAKE_opt OBJECT sig_snova_SNOVA_24_5_4_SHAKE.c snova_SNOVA_24_5_4_SHAKE_opt/oqs_snova.c snova_SNOVA_24_5_4_SHAKE_opt/snova.c snova_SNOVA_24_5_4_SHAKE_opt/snova_aes.c snova_SNOVA_24_5_4_SHAKE_opt/snova_common.c snova_SNOVA_24_5_4_SHAKE_opt/snova_shake.c)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_opt PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_SHAKE_opt)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_opt PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_SHAKE_opt>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_SHAKE_avx2)
    add_library(snova_SNOVA_24_5_4_SHAKE_avx2 OBJECT snova_SNOVA_24_5_4_SHAKE_avx2/oqs_snova.c snova_SNOVA_24_5_4_SHAKE_avx2/snova.c snova_SNOVA_24_5_4_SHAKE_avx2/snova_aes.c snova_SNOVA_24_5_4_SHAKE_avx2/snova_common.c snova_SNOVA_24_5_4_SHAKE_avx2/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_SHAKE_avx2)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_avx2 PRIVATE -mavx2)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_avx2 PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_SHAKE_avx2>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_SHAKE_neon)
    add_library(snova_SNOVA_24_5_4_SHAKE_neon OBJECT snova_SNOVA_24_5_4_SHAKE_neon/oqs_snova.c snova_SNOVA_24_5_4_SHAKE_neon/snova.c snova_SNOVA_24_5_4_SHAKE_neon/snova_aes.c snova_SNOVA_24_5_4_SHAKE_neon/snova_common.c snova_SNOVA_24_5_4_SHAKE_neon/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_SHAKE_neon)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_neon PRIVATE)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_neon PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_SHAKE_neon>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_esk)
    add_library(snova_SNOVA_24_5_4_esk_opt OBJECT sig_snova_SNOVA_24_5_4_esk.c snova_SNOVA_24_5_4_esk_opt/oqs_snova.c snova_SNOVA_24_5_4_esk_opt/snova.c snova_SNOVA_24_5_4_esk_opt/snova_aes.c snova_SNOVA_24_5_4_esk_opt/snova_common.c snova_SNOVA_24_5_4_esk_opt/snova_shake.c)
    target_compile_options(snova_SNOVA_24_5_4_esk_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    target_include_directories(snova_SNOVA_24_5_4_esk_opt PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_esk_opt)
    target_include_directories(snova_SNOVA_24_5_4_esk_opt PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_esk_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_esk_opt>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_esk_avx2)
    add_library(snova_SNOVA_24_5_4_esk_avx2 OBJECT snova_SNOVA_24_5_4_esk_avx2/oqs_snova.c snova_SNOVA_24_5_4_esk_avx2/snova.c snova_SNOVA_24_5_4_esk_avx2/snova_aes.c snova_SNOVA_24_5_4_esk_avx2/snova_common.c snova_SNOVA_24_5_4_esk_avx2/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_esk_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_esk_avx2)
    target_include_directories(snova_SNOVA_24_5_4_esk_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_esk_avx2 PRIVATE -mavx2)
    target_compile_options(snova_SNOVA_24_5_4_esk_avx2 PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_esk_avx2>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_esk_neon)
    add_library(snova_SNOVA_24_5_4_esk_neon OBJECT snova_SNOVA_24_5_4_esk_neon/oqs_snova.c snova_SNOVA_24_5_4_esk_neon/snova.c snova_SNOVA_24_5_4_esk_neon/snova_aes.c snova_SNOVA_24_5_4_esk_neon/snova_common.c snova_SNOVA_24_5_4_esk_neon/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_esk_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_esk_neon)
    target_include_directories(snova_SNOVA_24_5_4_esk_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_esk_neon PRIVATE)
    target_compile_options(snova_SNOVA_24_5_4_esk_neon PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_esk_neon>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_SHAKE_esk)
    add_library(snova_SNOVA_24_5_4_SHAKE_esk_opt OBJECT sig_snova_SNOVA_24_5_4_SHAKE_esk.c snova_SNOVA_24_5_4_SHAKE_esk_opt/oqs_snova.c snova_SNOVA_24_5_4_SHAKE_esk_opt/snova.c snova_SNOVA_24_5_4_SHAKE_esk_opt/snova_aes.c snova_SNOVA_24_5_4_SHAKE_esk_opt/snova_common.c snova_SNOVA_24_5_4_SHAKE_esk_opt/snova_shake.c)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_esk_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_esk_opt PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_SHAKE_esk_opt)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_esk_opt PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_esk_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_SHAKE_esk_opt>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_SHAKE_esk_avx2)
    add_library(snova_SNOVA_24_5_4_SHAKE_esk_avx2 OBJECT snova_SNOVA_24_5_4_SHAKE_esk_avx2/oqs_snova.c snova_SNOVA_24_5_4_SHAKE_esk_avx2/snova.c snova_SNOVA_24_5_4_SHAKE_esk_avx2/snova_aes.c snova_SNOVA_24_5_4_SHAKE_esk_avx2/snova_common.c snova_SNOVA_24_5_4_SHAKE_esk_avx2/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_esk_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_SHAKE_esk_avx2)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_esk_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_esk_avx2 PRIVATE -mavx2)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_esk_avx2 PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_SHAKE_esk_avx2>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_SHAKE_esk_neon)
    add_library(snova_SNOVA_24_5_4_SHAKE_esk_neon OBJECT snova_SNOVA_24_5_4_SHAKE_esk_neon/oqs_snova.c snova_SNOVA_24_5_4_SHAKE_esk_neon/snova.c snova_SNOVA_24_5_4_SHAKE_esk_neon/snova_aes.c snova_SNOVA_24_5_4_SHAKE_esk_neon/snova_common.c snova_SNOVA_24_5_4_SHAKE_esk_neon/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_esk_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_SHAKE_esk_neon)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_esk_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_esk_neon PRIVATE)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_esk_neon PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_SHAKE_esk_neon>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_37_17_2)
    add_library(snova_SNOVA_37_17_2_opt OBJECT sig_snova_SNOVA_37_17_2.c snova_SNOVA_37_17_2_opt/oqs_snova.c snova_SNOVA_37_17_2_opt/snova.c snova_SNOVA_37_17_2_opt/snova_aes.c snova_SNOVA_37_17_2_opt/snova_common.c snova_SNOVA_37_17_2_opt/snova_shake.c)
    target_compile_options(snova_SNOVA_37_17_2_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=37 -Do_SNOVA=17 -Dl_SNOVA=2 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    target_include_directories(snova_SNOVA_37_17_2_opt PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_37_17_2_opt)
    target_include_directories(snova_SNOVA_37_17_2_opt PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_37_17_2_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=37 -Do_SNOVA=17 -Dl_SNOVA=2 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
