=== src/sig/uov/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_UOV_OBJS "")

if(OQS_ENABLE_SIG_uov_ov_Is)
    add_library(uov_ov_Is_ref OBJECT sig_uov_ov_Is.c pqov_ov_Is_ref/blas_matrix.c pqov_ov_Is_ref/blas_matrix_ref.c pqov_ov_Is_ref/ov.c pqov_ov_Is_ref/ov_keypair.c pqov_ov_Is_ref/ov_keypair_computation.c pqov_ov_Is_ref/ov_publicmap.c pqov_ov_Is_ref/parallel_matrix_op.c pqov_ov_Is_ref/sign.c pqov_ov_Is_ref/utils_hash.c pqov_ov_Is_ref/utils_prng.c pqov_ov_Is_ref/utils_randombytes.c)
    target_compile_options(uov_ov_Is_ref PUBLIC -D_OV16_160_64 -D_OV_CLASSIC -D_UTILS_OQS_)
    target_include_directories(uov_ov_Is_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_Is_ref)
    target_include_directories(uov_ov_Is_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_Is_ref PUBLIC -D_OV16_160_64 -D_OV_CLASSIC -D_UTILS_OQS_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_Is_ref>)
endif()

if(OQS_ENABLE_SIG_uov_ov_Is_neon)
    add_library(uov_ov_Is_neon OBJECT pqov_ov_Is_neon/blas_matrix.c pqov_ov_Is_neon/blas_matrix_neon.c pqov_ov_Is_neon/gf16_tabs_neon.c pqov_ov_Is_neon/ov.c pqov_ov_Is_neon/ov_keypair.c pqov_ov_Is_neon/ov_keypair_computation.c pqov_ov_Is_neon/ov_publicmap.c pqov_ov_Is_neon/parallel_matrix_op.c pqov_ov_Is_neon/sign.c pqov_ov_Is_neon/utils_hash.c pqov_ov_Is_neon/utils_prng.c pqov_ov_Is_neon/utils_randombytes.c)
    target_include_directories(uov_ov_Is_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_Is_neon)
    target_include_directories(uov_ov_Is_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_Is_neon PRIVATE)
    target_compile_options(uov_ov_Is_neon PUBLIC -D_OV16_160_64 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_NEON_ -D_MUL_WITH_MULTAB_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_Is_neon>)
endif()

if(OQS_ENABLE_SIG_uov_ov_Is_avx2)
    add_library(uov_ov_Is_avx2 OBJECT pqov_ov_Is_avx2/blas_matrix.c pqov_ov_Is_avx2/blas_matrix_avx2.c pqov_ov_Is_avx2/blas_matrix_ref.c pqov_ov_Is_avx2/gf16_tabs.c pqov_ov_Is_avx2/gf256_tabs.c pqov_ov_Is_avx2/ov.c pqov_ov_Is_avx2/ov_keypair.c pqov_ov_Is_avx2/ov_keypair_computation.c pqov_ov_Is_avx2/ov_publicmap.c pqov_ov_Is_avx2/parallel_matrix_op.c pqov_ov_Is_avx2/sign.c pqov_ov_Is_avx2/utils_hash.c pqov_ov_Is_avx2/utils_prng.c pqov_ov_Is_avx2/utils_randombytes.c)
    target_include_directories(uov_ov_Is_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_Is_avx2)
    target_include_directories(uov_ov_Is_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_Is_avx2 PRIVATE -mavx2)
    target_compile_options(uov_ov_Is_avx2 PUBLIC -D_OV16_160_64 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_AVX2_ -D_MUL_WITH_MULTAB_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_Is_avx2>)
endif()

if(OQS_ENABLE_SIG_uov_ov_Ip)
    add_library(uov_ov_Ip_ref OBJECT sig_uov_ov_Ip.c pqov_ov_Ip_ref/blas_matrix.c pqov_ov_Ip_ref/blas_matrix_ref.c pqov_ov_Ip_ref/ov.c pqov_ov_Ip_ref/ov_keypair.c pqov_ov_Ip_ref/ov_keypair_computation.c pqov_ov_Ip_ref/ov_publicmap.c pqov_ov_Ip_ref/parallel_matrix_op.c pqov_ov_Ip_ref/sign.c pqov_ov_Ip_ref/utils_hash.c pqov_ov_Ip_ref/utils_prng.c pqov_ov_Ip_ref/utils_randombytes.c)
    target_compile_options(uov_ov_Ip_ref PUBLIC -D_OV256_112_44 -D_OV_CLASSIC -D_UTILS_OQS_)
    target_include_directories(uov_ov_Ip_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_Ip_ref)
    target_include_directories(uov_ov_Ip_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_Ip_ref PUBLIC -D_OV256_112_44 -D_OV_CLASSIC -D_UTILS_OQS_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_Ip_ref>)
endif()

if(OQS_ENABLE_SIG_uov_ov_Ip_neon)
    add_library(uov_ov_Ip_neon OBJECT pqov_ov_Ip_neon/blas_matrix.c pqov_ov_Ip_neon/blas_matrix_neon.c pqov_ov_Ip_neon/gf16_tabs_neon.c pqov_ov_Ip_neon/ov.c pqov_ov_Ip_neon/ov_keypair.c pqov_ov_Ip_neon/ov_keypair_computation.c pqov_ov_Ip_neon/ov_publicmap.c pqov_ov_Ip_neon/parallel_matrix_op.c pqov_ov_Ip_neon/sign.c pqov_ov_Ip_neon/utils_hash.c pqov_ov_Ip_neon/utils_prng.c pqov_ov_Ip_neon/utils_randombytes.c)
    target_include_directories(uov_ov_Ip_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_Ip_neon)
    target_include_directories(uov_ov_Ip_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_Ip_neon PRIVATE)
    target_compile_options(uov_ov_Ip_neon PUBLIC -D_OV256_112_44 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_NEON_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_Ip_neon>)
endif()

if(OQS_ENABLE_SIG_uov_ov_Ip_avx2)
    add_library(uov_ov_Ip_avx2 OBJECT pqov_ov_Ip_avx2/blas_matrix.c pqov_ov_Ip_avx2/blas_matrix_avx2.c pqov_ov_Ip_avx2/gf16_tabs.c pqov_ov_Ip_avx2/gf256_tabs.c pqov_ov_Ip_avx2/ov.c pqov_ov_Ip_avx2/ov_keypair.c pqov_ov_Ip_avx2/ov_keypair_computation.c pqov_ov_Ip_avx2/ov_publicmap.c pqov_ov_Ip_avx2/parallel_matrix_op.c pqov_ov_Ip_avx2/sign.c pqov_ov_Ip_avx2/utils_hash.c pqov_ov_Ip_avx2/utils_prng.c pqov_ov_Ip_avx2/utils_randombytes.c)
    target_include_directories(uov_ov_Ip_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_Ip_avx2)
    target_include_directories(uov_ov_Ip_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_Ip_avx2 PRIVATE -mavx2)
    target_compile_options(uov_ov_Ip_avx2 PUBLIC -D_OV256_112_44 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_AVX2_ -D_MUL_WITH_MULTAB_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_Ip_avx2>)
endif()

if(OQS_ENABLE_SIG_uov_ov_III)
    add_library(uov_ov_III_ref OBJECT sig_uov_ov_III.c pqov_ov_III_ref/blas_matrix.c pqov_ov_III_ref/blas_matrix_ref.c pqov_ov_III_ref/ov.c pqov_ov_III_ref/ov_keypair.c pqov_ov_III_ref/ov_keypair_computation.c pqov_ov_III_ref/ov_publicmap.c pqov_ov_III_ref/parallel_matrix_op.c pqov_ov_III_ref/sign.c pqov_ov_III_ref/utils_hash.c pqov_ov_III_ref/utils_prng.c pqov_ov_III_ref/utils_randombytes.c)
    target_compile_options(uov_ov_III_ref PUBLIC -D_OV256_184_72 -D_OV_CLASSIC -D_UTILS_OQS_)
    target_include_directories(uov_ov_III_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_III_ref)
    target_include_directories(uov_ov_III_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_III_ref PUBLIC -D_OV256_184_72 -D_OV_CLASSIC -D_UTILS_OQS_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_III_ref>)
endif()

if(OQS_ENABLE_SIG_uov_ov_III_neon)
    add_library(uov_ov_III_neon OBJECT pqov_ov_III_neon/blas_matrix.c pqov_ov_III_neon/blas_matrix_neon.c pqov_ov_III_neon/gf16_tabs_neon.c pqov_ov_III_neon/ov.c pqov_ov_III_neon/ov_keypair.c pqov_ov_III_neon/ov_keypair_computation.c pqov_ov_III_neon/ov_publicmap.c pqov_ov_III_neon/parallel_matrix_op.c pqov_ov_III_neon/sign.c pqov_ov_III_neon/utils_hash.c pqov_ov_III_neon/utils_prng.c pqov_ov_III_neon/utils_randombytes.c)
    target_include_directories(uov_ov_III_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_III_neon)
    target_include_directories(uov_ov_III_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_III_neon PRIVATE)
    target_compile_options(uov_ov_III_neon PUBLIC -D_OV256_184_72 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_NEON_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_III_neon>)
endif()

if(OQS_ENABLE_SIG_uov_ov_III_avx2)
    add_library(uov_ov_III_avx2 OBJECT pqov_ov_III_avx2/blas_matrix.c pqov_ov_III_avx2/blas_matrix_avx2.c pqov_ov_III_avx2/gf16_tabs.c pqov_ov_III_avx2/gf256_tabs.c pqov_ov_III_avx2/ov.c pqov_ov_III_avx2/ov_keypair.c pqov_ov_III_avx2/ov_keypair_computation.c pqov_ov_III_avx2/ov_publicmap.c pqov_ov_III_avx2/parallel_matrix_op.c pqov_ov_III_avx2/sign.c pqov_ov_III_avx2/utils_hash.c pqov_ov_III_avx2/utils_prng.c pqov_ov_III_avx2/utils_randombytes.c)
    target_include_directories(uov_ov_III_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_III_avx2)
    target_include_directories(uov_ov_III_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_III_avx2 PRIVATE -mavx2)
    target_compile_options(uov_ov_III_avx2 PUBLIC -D_OV256_184_72 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_AVX2_ -D_MUL_WITH_MULTAB_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_III_avx2>)
endif()

if(OQS_ENABLE_SIG_uov_ov_V)
    add_library(uov_ov_V_ref OBJECT sig_uov_ov_V.c pqov_ov_V_ref/blas_matrix.c pqov_ov_V_ref/blas_matrix_ref.c pqov_ov_V_ref/ov.c pqov_ov_V_ref/ov_keypair.c pqov_ov_V_ref/ov_keypair_computation.c pqov_ov_V_ref/ov_publicmap.c pqov_ov_V_ref/parallel_matrix_op.c pqov_ov_V_ref/sign.c pqov_ov_V_ref/utils_hash.c pqov_ov_V_ref/utils_prng.c pqov_ov_V_ref/utils_randombytes.c)
    target_compile_options(uov_ov_V_ref PUBLIC -D_OV256_244_96 -D_OV_CLASSIC -D_UTILS_OQS_)
    target_include_directories(uov_ov_V_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_V_ref)
    target_include_directories(uov_ov_V_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_V_ref PUBLIC -D_OV256_244_96 -D_OV_CLASSIC -D_UTILS_OQS_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_V_ref>)
endif()

if(OQS_ENABLE_SIG_uov_ov_V_neon)
    add_library(uov_ov_V_neon OBJECT pqov_ov_V_neon/blas_matrix.c pqov_ov_V_neon/blas_matrix_neon.c pqov_ov_V_neon/gf16_tabs_neon.c pqov_ov_V_neon/ov.c pqov_ov_V_neon/ov_keypair.c pqov_ov_V_neon/ov_keypair_computation.c pqov_ov_V_neon/ov_publicmap.c pqov_ov_V_neon/parallel_matrix_op.c pqov_ov_V_neon/sign.c pqov_ov_V_neon/utils_hash.c pqov_ov_V_neon/utils_prng.c pqov_ov_V_neon/utils_randombytes.c)
    target_include_directories(uov_ov_V_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_V_neon)
    target_include_directories(uov_ov_V_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_V_neon PRIVATE)
    target_compile_options(uov_ov_V_neon PUBLIC -D_OV256_244_96 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_NEON_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_V_neon>)
endif()

if(OQS_ENABLE_SIG_uov_ov_V_avx2)
    add_library(uov_ov_V_avx2 OBJECT pqov_ov_V_avx2/blas_matrix.c pqov_ov_V_avx2/blas_matrix_avx2.c pqov_ov_V_avx2/gf16_tabs.c pqov_ov_V_avx2/gf256_tabs.c pqov_ov_V_avx2/ov.c pqov_ov_V_avx2/ov_keypair.c pqov_ov_V_avx2/ov_keypair_computation.c pqov_ov_V_avx2/ov_publicmap.c pqov_ov_V_avx2/parallel_matrix_op.c pqov_ov_V_avx2/sign.c pqov_ov_V_avx2/utils_hash.c pqov_ov_V_avx2/utils_prng.c pqov_ov_V_avx2/utils_randombytes.c)
    target_include_directories(uov_ov_V_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_V_avx2)
    target_include_directories(uov_ov_V_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_V_avx2 PRIVATE -mavx2)
    target_compile_options(uov_ov_V_avx2 PUBLIC -D_OV256_244_96 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_AVX2_ -D_MUL_WITH_MULTAB_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_V_avx2>)
endif()

if(OQS_ENABLE_SIG_uov_ov_Is_pkc)
    add_library(uov_ov_Is_pkc_ref OBJECT sig_uov_ov_Is_pkc.c pqov_ov_Is_pkc_ref/blas_matrix.c pqov_ov_Is_pkc_ref/blas_matrix_ref.c pqov_ov_Is_pkc_ref/ov.c pqov_ov_Is_pkc_ref/ov_keypair.c pqov_ov_Is_pkc_ref/ov_keypair_computation.c pqov_ov_Is_pkc_ref/ov_publicmap.c pqov_ov_Is_pkc_ref/parallel_matrix_op.c pqov_ov_Is_pkc_ref/sign.c pqov_ov_Is_pkc_ref/utils_hash.c pqov_ov_Is_pkc_ref/utils_prng.c pqov_ov_Is_pkc_ref/utils_randombytes.c)
    target_compile_options(uov_ov_Is_pkc_ref PUBLIC -D_OV16_160_64 -D_OV_PKC -D_UTILS_OQS_)
    target_include_directories(uov_ov_Is_pkc_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_Is_pkc_ref)
    target_include_directories(uov_ov_Is_pkc_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_Is_pkc_ref PUBLIC -D_OV16_160_64 -D_OV_PKC -D_UTILS_OQS_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_Is_pkc_ref>)
endif()

if(OQS_ENABLE_SIG_uov_ov_Is_pkc_neon)
